<?php if (!defined('BASEPATH')) exit('No direct script access allowed');

class Structure extends SiteController {
  function __construct () {
    parent::__construct();
    $this->data['page'] = 'structure';
    $this->data['metatags'] = $this->getMetatags($this->data['page']);
  }

  public function index () {
    $this->load->model('internBannerModel');
    $this->data['banner'] = $this->internBannerModel->getRowWhere(['slug' => 'structure']);

    $this->load->model('structureItemModel');
    $this->data['structureItems'] = $this->structureItemModel->getAll();

    $this->load->view('structure', $this->data);
  }
}